Summary: Library for rasterizing 2-D vector graphics
Name: libxmi
Version: 1.1.1
Release: 1
Copyright: GPL
Group: Libraries
Source: ftp://ftp.gnu.org/pub/gnu/libxmi/libxmi-1.1.1.tar.gz
URL: http://www.gnu.org/software/libxmi/libxmi.html
Packager: Robert S. Maier <rsm@math.arizona.edu>

%description 

GNU libxmi is a C/C++ function library that can draw 2-D vector graphics
primitives, such as wide polygonal lines and circular and elliptical arcs,
onto an in-core matrix of pixels.  It can be incorporated in other graphics
packages as a rasterization module.  It is based on the X11 vector graphics
code, but is standalone: it does not require a connection to an X Window
System display.  There is support for sophisticated line styles, e.g.,
user-specified multicolored dashing patterns.  There is also support for
tiling and texturing of filled polygons.  libxmi can be customized in many
ways.  The definition of the `pixel' datatype can be altered at compile
time, in particular.

%package devel

Summary: Headers and libraries for developing apps that will use libxmi
Group: Development/Libraries
Requires: libxmi
Requires: texinfo >= 3.9

%description devel 

The libxmi-devel package contains the headers and libraries needed to
develop programs that use the GNU libxmi 2-D rasterization library.

Install the libxmi-devel package if you want to develop applications that
will use the GNU libxmi library.

%prep
%setup

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS"

%install
export PATH=/sbin:/usr/local/bin:$PATH
make install

%post
export PATH=/sbin:$PATH
ldconfig

%post devel
export PATH=/sbin:/usr/local/bin:$PATH
install-info /usr/info/libxmi.info /usr/info/dir
ldconfig

%preun devel
export PATH=/sbin:/usr/local/bin:$PATH
if [ $1 = 0 ]; then
install-info --delete /usr/info/libxmi.info /usr/info/dir
fi

%postun
export PATH=/sbin:$PATH
ldconfig

%files
/usr/lib/libxmi.so.0.1.1

%files devel
%doc AUTHORS
%doc CUSTOMIZE
%doc NEWS
%doc README
%doc README-X
/usr/include/xmi.h
/usr/info/libxmi.info
/usr/lib/libxmi.a
/usr/lib/libxmi.so
